﻿using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Ems.CollectService.Entity
{
    /// <summary>
    /// 计量设备信息
    ///</summary>
    [SugarTable("base_monitor_info")]
    public class BaseMonitorInfo
    {
        /// <summary>
        /// 自增标识 
        ///</summary>
         [SugarColumn(ColumnName="objid" ,IsPrimaryKey = true ,IsIdentity = true  )]
         public int Objid { get; set; }
        /// <summary>
        /// 父级编号 
        ///</summary>
         [SugarColumn(ColumnName="parent_id"    )]
         public string ParentId { get; set; }
        /// <summary>
        /// 计量设备编号 
        ///</summary>
         [SugarColumn(ColumnName="monitor_id" ,IsPrimaryKey = true   )]
         public string MonitorId { get; set; }
        /// <summary>
        /// 计量设备名称 
        ///</summary>
         [SugarColumn(ColumnName="monitor_name"    )]
         public string MonitorName { get; set; }
        /// <summary>
        /// 计量设备位置 
        ///</summary>
         [SugarColumn(ColumnName="monitor_addr"    )]
         public string MonitorAddr { get; set; }
        /// <summary>
        /// 计量设备类型 
        ///</summary>
         [SugarColumn(ColumnName="monitor_type"    )]
         public int? MonitorType { get; set; }
        /// <summary>
        /// 计量设备状态 
        ///</summary>
         [SugarColumn(ColumnName="monitor_status"    )]
         public int? MonitorStatus { get; set; }
        /// <summary>
        /// 采集设备编号 
        ///</summary>
         [SugarColumn(ColumnName="collect_device_id"    )]
         public string CollectDeviceId { get; set; }
        /// <summary>
        /// 祖级列表 
        ///</summary>
         [SugarColumn(ColumnName="ancestors"    )]
         public string Ancestors { get; set; }
        /// <summary>
        /// 等级 
        ///</summary>
         [SugarColumn(ColumnName="grade"    )]
         public int? Grade { get; set; }
        
        /// <summary>
        /// 传感器仪表 
        ///</summary>
         [SugarColumn(ColumnName="meter_type_id"    )]
         public string MeterTypeId { get; set; }
        /// <summary>
        /// 测量器具 
        ///</summary>
         [SugarColumn(ColumnName="meter_id"    )]
         public string MeterId { get; set; }
        /// <summary>
        /// 修正值 
        ///</summary>
         [SugarColumn(ColumnName="correct_value"    )]
         public decimal? CorrectValue { get; set; }
        /// <summary>
        /// PT值 
        ///</summary>
         [SugarColumn(ColumnName="pt"    )]
         public int? Pt { get; set; }
        /// <summary>
        /// CT值 
        ///</summary>
         [SugarColumn(ColumnName="ct"    )]
         public int? Ct { get; set; }
        /// <summary>
        /// 是否虚拟 
        /// 默认值: _utf8mb4'false'
        ///</summary>
         [SugarColumn(ColumnName="is_ammeter"    )]
         public string IsAmmeter { get; set; }
        /// <summary>
        /// 通断复位 
        ///</summary>
         [SugarColumn(ColumnName="is_key_monitor"    )]
         public int? IsKeyMonitor { get; set; }
        /// <summary>
        /// 是否断路 
        ///</summary>
         [SugarColumn(ColumnName="is_circuit"    )]
         public int? IsCircuit { get; set; }
        /// <summary>
        /// 权限标识（部门） 
        ///</summary>
         [SugarColumn(ColumnName="dept_id"    )]
         public int? DeptId { get; set; }
        /// <summary>
        /// 权限标识（用户） 
        ///</summary>
         [SugarColumn(ColumnName="user_id"    )]
         public int? UserId { get; set; }
        /// <summary>
        /// 创建人 
        ///</summary>
         [SugarColumn(ColumnName="create_by"    )]
         public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间 
        /// 默认值: CURRENT_TIMESTAMP
        ///</summary>
         [SugarColumn(ColumnName="create_time"    )]
         public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 更新人 
        ///</summary>
         [SugarColumn(ColumnName="update_by"    )]
         public string UpdateBy { get; set; }
        /// <summary>
        /// 更新时间 
        ///</summary>
         [SugarColumn(ColumnName="update_time"    )]
         public DateTime? UpdateTime { get; set; }
    }
}
