﻿using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Ems.CollectService.Entity
{
    /// <summary>
    /// 电实时数据
    ///</summary>
    [SugarTable("record_dnb_instant")]
    public class RecordDnbInstant
    {
        /// <summary>
        /// 编号 
        ///</summary>
         [SugarColumn(ColumnName="objid" ,IsPrimaryKey = true ,IsIdentity = true  )]
         public long objid { get; set; }
        /// <summary>
        /// 计量设备编号 
        ///</summary>
         [SugarColumn(ColumnName="monitor_id"    )]
         public string monitorId { get; set; }
        /// <summary>
        /// 采集时间 
        ///</summary>
         [SugarColumn(ColumnName="collect_time"    )]
         public DateTime? collectTime { get; set; }
        /// <summary>
        /// A项电压 
        ///</summary>
         [SugarColumn(ColumnName="vA"    )]
         public decimal? vA { get; set; }
        /// <summary>
        /// B项电压 
        ///</summary>
         [SugarColumn(ColumnName="vB"    )]
         public decimal? vB { get; set; }
        /// <summary>
        /// C项电压 
        ///</summary>
         [SugarColumn(ColumnName="vC"    )]
         public decimal? vC { get; set; }
        /// <summary>
        /// A项电流 
        ///</summary>
         [SugarColumn(ColumnName="iA"    )]
         public decimal? iA { get; set; }
        /// <summary>
        /// B项电流 
        ///</summary>
         [SugarColumn(ColumnName="iB"    )]
         public decimal? iB { get; set; }
        /// <summary>
        /// C项电流 
        ///</summary>
         [SugarColumn(ColumnName="iC"    )]
         public decimal? iC { get; set; }
        /// <summary>
        /// 记录时间 
        ///</summary>
         [SugarColumn(ColumnName="record_time"    )]
         public DateTime? recordTime { get; set; }
        /// <summary>
        /// 功率因数 
        ///</summary>
         [SugarColumn(ColumnName="glys"    )]
         public decimal? glys { get; set; }
        /// <summary>
        /// 正向有功 
        ///</summary>
         [SugarColumn(ColumnName="zxyg"    )]
         public decimal? zxyg { get; set; }
        /// <summary>
        /// 有功功率 
        ///</summary>
         [SugarColumn(ColumnName="active_power"    )]
         public decimal? activePower { get; set; }
        /// <summary>
        /// 无功功率 
        ///</summary>
         [SugarColumn(ColumnName="reactive_power"    )]
         public decimal? reactivePower { get; set; }

        /// <summary>
        /// 电耗量 
        ///</summary>
         [SugarColumn(ColumnName="consumption"    )]
         public decimal? consumption { get; set; }
        /// <summary>
        /// 采集方式 
        /// 默认值: 0
        ///</summary>
         [SugarColumn(ColumnName="collect_type"    )]
         public int? collectType { get; set; }
        /// <summary>
        /// 权限标识（部门） 
        ///</summary>
         [SugarColumn(ColumnName="dept_id"    )]
         public int? deptId { get; set; }
        /// <summary>
        /// 权限标识（用户） 
        ///</summary>
         [SugarColumn(ColumnName="user_id"    )]
         public int? userId { get; set; }
    }
}
