﻿using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Ems.CollectService.Entity
{
    /// <summary>
    /// 水实时数据
    ///</summary>
    [SugarTable("record_water_instant")]
    public class RecordWaterInstant
    {
        /// <summary>
        /// 自增标识 
        ///</summary>
         [SugarColumn(ColumnName = "objid", IsPrimaryKey = true, IsIdentity = true)]
         public int objid { get; set; }
        /// <summary>
        /// 计量设备编号 
        ///</summary>
         [SugarColumn(ColumnName="monitor_id"    )]
         public string monitorId { get; set; }
        /// <summary>
        /// 采集时间 
        ///</summary>
         [SugarColumn(ColumnName="collect_time"    )]
         public DateTime? collectTime { get; set; }
        /// <summary>
        /// 瞬时流量 
        ///</summary>
         [SugarColumn(ColumnName="flux_flow"    )]
         public decimal? fluxFlow { get; set; }
        /// <summary>
        /// 累计流量 
        ///</summary>
         [SugarColumn(ColumnName="water_flow"    )]
         public decimal? waterFlow { get; set; }
        /// <summary>
        /// 记录时间 
        ///</summary>
         [SugarColumn(ColumnName="record_time"    )]
         public DateTime? recordTime { get; set; }
        /// <summary>
        /// 采集方式 
        /// 默认值: 0
        ///</summary>
         [SugarColumn(ColumnName="collect_type"    )]
         public int? collectType { get; set; }
        /// <summary>
        /// 权限标识（部门） 
        ///</summary>
         [SugarColumn(ColumnName="dept_id"    )]
         public int? deptId { get; set; }
        /// <summary>
        /// 权限标识（用户） 
        ///</summary>
         [SugarColumn(ColumnName="user_id"    )]
         public int? userId { get; set; }
    }
}
